import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
 'https://gist.githubusercontent.com/rushithareddyy/33851ffd4f0c27ba1dabe71a92b27d2a/raw/e86c16cff9f622909b80a8e24f1d831d1d127df7/country.csv';
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Country  = +d.Country ;
      d.Urban_population  = +d.Urban_population;
      //d.Year = +d.Year;
      return d;
      
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};